Early access: these pages are being written and reviewed. Facts in the header boxes come straight from the product.
Update connection
PUT
/api/v1/calendar/connections/{id}
const url = 'https://api.pitch2sale.com/api/v1/calendar/connections/example';const options = { method: 'PUT', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"business_hours":{"mon":["example"],"tue":["example"],"wed":["example"],"thu":["example"],"fri":["example"],"sat":["example"],"sun":["example"]},"buffer_minutes_before":1,"buffer_minutes_after":1,"meeting_duration_options":[15],"default_meeting_duration":15,"timezone":"example","is_active":true}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request PUT \ --url https://api.pitch2sale.com/api/v1/calendar/connections/example \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "business_hours": { "mon": [ "example" ], "tue": [ "example" ], "wed": [ "example" ], "thu": [ "example" ], "fri": [ "example" ], "sat": [ "example" ], "sun": [ "example" ] }, "buffer_minutes_before": 1, "buffer_minutes_after": 1, "meeting_duration_options": [ 15 ], "default_meeting_duration": 15, "timezone": "example", "is_active": true }'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”id
required
string
Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
object
business_hours
buffer_minutes_before
integer
buffer_minutes_after
integer
meeting_duration_options
Array<number>
default_meeting_duration
number
timezone
string
is_active
boolean
Responses
Section titled “Responses”OK
Validation failed
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Authentication required or token invalid
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}Rate limit exceeded
Media typeapplication/json
object
error
required
string
code
string
message
string
details
Array<object>
object
field
required
string
message
required
string
code
required
string
Examplegenerated
{ "error": "example", "code": "example", "message": "example", "details": [ { "field": "example", "message": "example", "code": "example" } ]}